Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types.calendar
Class TimeHmm

    java.lang.Object
      com.tibco.bpm.web.client.model.types.calendar.TimeHmm

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, java.io.Serializable, java.lang.Comparable<TimeHmm>

    public class TimeHmm

extends java.lang.Object
implements java.lang.Comparable<TimeHmm>, java.io.Serializable, com.google.gwt.user.client.rpc.IsSerializable

See Also:
  Serialized Form

Constructor Summary
`TimeHmm()`

Method Summary
`int` | `compareTo(TimeHmm o)`
`boolean` | `equals(java.lang.Object o)`
`int` | `getHours()`
`static long` | `getMillisecondDifference(TimeHmm end, TimeHmm start)`
`int` | `getMinutes()`
`java.util.Date` | `getTimeHmm()`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`static TimeHmm` | `valueOf(java.util.Date timeHmm)`
`static TimeHmm` | `valueOf(int hours, int minutes)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TimeHmm

    public TimeHmm()

Method Detail

### valueOf

    public static final TimeHmm valueOf(java.util.Date timeHmm)

### valueOf

    public static final TimeHmm valueOf(int hours,
                                        int minutes)

### getMillisecondDifference

    public static long getMillisecondDifference(TimeHmm end,
                                                TimeHmm start)

### getTimeHmm

    public java.util.Date getTimeHmm()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### compareTo

    public int compareTo(TimeHmm o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<TimeHmm>`

### getHours

    public int getHours()

### getMinutes

    public int getMinutes()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.